Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs	(revision 3092)
@@ -8,7 +8,13 @@
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  /// <summary>
+  /// Factory class to generated administration client instances for the deployment service.
+  /// </summary>
   public static class AdminClientFactory {
     private static byte[] serverCrtData;
 
+    /// <summary>
+    /// static constructor loads the embedded service certificate 
+    /// </summary>
     static AdminClientFactory() {
       var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.servdev.cer");
@@ -17,4 +23,13 @@
     }
 
+    /// <summary>
+    /// Factory method to create new administration clients for the deployment service.
+    /// Sets the connection string and user credentials from values provided in settings.
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationnAdministrationAddress
+    /// 
+    /// </summary>
+    /// <returns>A new instance of an adimistration client</returns>
     public static AdminClient CreateClient() {
       var client = new AdminClient();
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 3092)
@@ -1,3 +1,4 @@
-﻿//------------------------------------------------------------------------------
+﻿#pragma warning disable 1591
+//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
@@ -313,2 +314,3 @@
     }
 }
+#pragma warning restore 1591
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 3092)
@@ -32,9 +32,31 @@
   // extension of auto-generated DataContract class PluginDescription
   public partial class PluginDescription : IPluginDescription {
+    /// <summary>
+    /// Initializes an new instance of <see cref="PluginDescription" />
+    /// with no dependencies, empty contact details and empty license text.
+    /// </summary>
+    /// <param name="name">Name of the plugin</param>
+    /// <param name="version">Version of the plugin</param>
     public PluginDescription(string name, Version version) : this(name, version, new List<PluginDescription>()) { }
+    /// <summary>
+    /// Initializes a new instance of <see cref="PluginDescription" /> 
+    /// with empty contact details and empty license text.
+    /// </summary>
+    /// <param name="name">Name of the plugin</param>
+    /// <param name="version">Version of the plugin</param>
+    /// <param name="dependencies">Enumerable of dependencies of the plugin</param>
     public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies)
       : this(name, version, dependencies, string.Empty, string.Empty, string.Empty) {
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="PluginDescription" />.
+    /// </summary>
+    /// <param name="name">Name of the plugin</param>
+    /// <param name="version">Version of the plugin</param>
+    /// <param name="dependencies">Enumerable of dependencies of the plugin</param>
+    /// <param name="contactName">Name of the contact person for the plugin</param>
+    /// <param name="contactEmail">E-mail of the contact person for the plugin</param>
+    /// <param name="licenseText">License text for the plugin</param>
     public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies, string contactName, string contactEmail, string licenseText) {
       this.Name = name;
@@ -45,4 +67,7 @@
 
     #region IPluginDescription Members
+    /// <summary>
+    /// Gets the description of the plugin. Always string.Empty.
+    /// </summary>
     public string Description {
       get { return string.Empty; }
@@ -54,4 +79,7 @@
     }
 
+    /// <summary>
+    /// Gets an enumerable of dependencies of the plugin
+    /// </summary>
     IEnumerable<IPluginDescription> IPluginDescription.Dependencies {
       get {
@@ -60,4 +88,7 @@
     }
 
+    /// <summary>
+    /// Gets and enumerable of files that are part of this pluing. Always empty.
+    /// </summary>
     public IEnumerable<IPluginFile> Files {
       get { return Enumerable.Empty<IPluginFile>(); }
@@ -66,4 +97,8 @@
     #endregion
 
+    /// <summary>
+    /// ToString override
+    /// </summary>
+    /// <returns>String representation of the PluginDescription (name + version)</returns>
     public override string ToString() {
       return Name + " " + Version;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs	(revision 3092)
@@ -31,9 +31,24 @@
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
   // extension of auto-generated DataContract class ProductDescription
+  /// <summary>
+  /// Product description as provided by the deployment service.
+  /// A product has a name, a version and a list of plugins that are part of the product.
+  /// </summary>
   public partial class ProductDescription  {
+    /// <summary>
+    /// Initializes a new instance of <see cref="ProductDescription" />
+    /// </summary>
+    /// <param name="name">Name of the product</param>
+    /// <param name="version">Version of the product</param>
     public ProductDescription(string name, Version version)
       : this(name, version, new List<PluginDescription>()) {
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ProductDescription" />
+    /// </summary>
+    /// <param name="name">Name of the product</param>
+    /// <param name="version">Version of the product</param>
+    /// <param name="plugins">Enumerable of plugins of the product</param>
     public ProductDescription(string name, Version version, IEnumerable<PluginDescription> plugins) {
       this.Name = name;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 3092)
@@ -8,7 +8,13 @@
 
 namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  /// <summary>
+  /// Factory class to generated update client instances for the deployment service.
+  /// </summary>
   public static class UpdateClientFactory {
     private static byte[] serverCrtData;
 
+    /// <summary>
+    /// static constructor loads the embedded service certificate 
+    /// </summary>
     static UpdateClientFactory() {
       var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.servdev.cer");
@@ -17,4 +23,13 @@
     }
 
+    /// <summary>
+    /// Factory method to create new update clients for the deployment service.
+    /// Sets the connection string and user credentials from values provided in settings.
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword
+    /// HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocation
+    /// 
+    /// </summary>
+    /// <returns>A new instance of an update client</returns>
     public static UpdateClient CreateClient() {
       var client = new UpdateClient();
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 3092)
@@ -128,5 +128,4 @@
     /// Retrieves a list of plugins available at the remote server
     /// </summary>
-    /// <param name="connectionString"></param>
     /// <returns></returns>
     public IEnumerable<IPluginDescription> GetRemotePluginList() {
@@ -146,5 +145,4 @@
     /// Retrieves the list of products available at the remote server
     /// </summary>
-    /// <param name="connectionString"></param>
     /// <returns></returns>
     public IEnumerable<DeploymentService.ProductDescription> GetRemoteProductList() {
@@ -164,6 +162,5 @@
     ///  Installs plugins from remote server
     /// </summary>
-    /// <param name="connectionString"></param>
-    /// <param name="pluginNames"></param>
+    /// <param name="plugins"></param>
     public void Install(IEnumerable<IPluginDescription> plugins) {
       var args = new PluginInfrastructureCancelEventArgs(plugins);
@@ -188,5 +185,5 @@
     /// Updates plugins from remote server
     /// </summary>
-    /// <param name="pluginNames"></param>
+    /// <param name="plugins"></param>
     public void Update(IEnumerable<IPluginDescription> plugins) {
       PluginInfrastructureCancelEventArgs args = new PluginInfrastructureCancelEventArgs(plugins);
@@ -211,5 +208,5 @@
     /// Deletes all plugin files from local installation
     /// </summary>
-    /// <param name="pluginNames"></param>
+    /// <param name="plugins"></param>
     public void Remove(IEnumerable<IPluginDescription> plugins) {
       var fileNames = from pluginToDelete in plugins
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LicenseView.cs	(revision 3092)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/ApplicationManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/ApplicationManager.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/ApplicationManager.cs	(revision 3092)
@@ -155,7 +155,7 @@
 
     /// <summary>
-    /// Loads assemblies dynamically from a byte array
-    /// </summary>
-    /// <param name="plugins">bytearray of all assemblies that should be loaded</param>
+    /// Loads raw assemblies dynamically from a byte array
+    /// </summary>
+    /// <param name="assemblies">bytearray of all raw assemblies that should be loaded</param>
     internal void LoadAssemblies(IEnumerable<byte[]> assemblies) {
       foreach (byte[] asm in assemblies) {
@@ -181,5 +181,5 @@
     }
     /// <summary>
-    /// Creates an instance of all types declared in assembly <param name="asm"/> that are subtypes or the same type of the specified type and declared in <paramref name="plugin"/>
+    /// Creates an instance of all types declared in assembly <paramref name="asm"/> that are subtypes or the same type of the specified <typeparamref name="type"/>. 
     /// </summary>
     /// <typeparam name="T">Most general type.</typeparam>
@@ -203,5 +203,5 @@
     /// Creates an instance of all types that are subtypes or the same type of the specified type
     /// </summary>
-    /// <typeparam name="type">Most general type.</typeparam>
+    /// <param name="type">Most general type.</param>
     /// <returns>Enumerable of the created instances.</returns>
     internal static IEnumerable<object> GetInstances(Type type) {
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/ApplicationAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/ApplicationAttribute.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/ApplicationAttribute.cs	(revision 3092)
@@ -76,5 +76,4 @@
     /// <param name="name">Name of the application</param>
     /// <param name="description">Description of the application</param>
-    /// <param name="version">Version string of the application</param>
     /// <param name="restartOnErrors">Flag that indicates if the application should be restarted on exceptions (for services)</param>
     /// </summary>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginDependencyAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginDependencyAttribute.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginDependencyAttribute.cs	(revision 3092)
@@ -56,4 +56,9 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="PluginDependencyAttribute" />.
+    /// </summary>
+    /// <param name="dependency">Name of the plugin dependency.</param>
+    /// <param name="version">Version of the plugin dependency.</param>
     public PluginDependencyAttribute(string dependency, string version) {
       if (string.IsNullOrEmpty(dependency)) throw new ArgumentException("Dependency name is null or empty.", "dependency");
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginFileAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginFileAttribute.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Attributes/PluginFileAttribute.cs	(revision 3092)
@@ -30,7 +30,19 @@
   /// </summary>
   public enum PluginFileType {
+    /// <summary>
+    /// CLR assembly files are loaded by the plugin infrastructure.
+    /// </summary>
     Assembly,
+    /// <summary>
+    /// Native DLL files are ignored by the plugin infrastructure.
+    /// </summary>
     NativeDll,
+    /// <summary>
+    /// Data files are any kind of support file for your plugin.
+    /// </summary>
     Data,
+    /// <summary>
+    /// License files contain the license text of the plugin (ASCII encoding).
+    /// </summary>
     License
   };
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/ControlManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/ControlManager.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/ControlManager.cs	(revision 3092)
@@ -29,5 +29,7 @@
 
 namespace HeuristicLab.PluginInfrastructure {
-
+  /// <summary>
+  /// Singleton class for the ControlManager (needed by HeuristicLab 3.2)
+  /// </summary>
   public static class ControlManager {
     // singleton: only one control manager allowed in each application (i.e. AppDomain)
@@ -40,4 +42,9 @@
     }
 
+    /// <summary>
+    /// Set the current control manager. 
+    /// </summary>
+    /// <param name="manager">The control manager</param>
+    /// <exception cref="InvalidOperationException">Throws exception when a control manager has previously been set.</exception>
     public static void RegisterManager(IControlManager manager) {
       if (controlManager != null) throw new InvalidOperationException("An control manager has already been set.");
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplication.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplication.cs	(revision 3092)
@@ -25,7 +25,19 @@
 
 namespace HeuristicLab.PluginInfrastructure {
+  /// <summary>
+  /// Interface that must be implemented by HeuristicLab applications.
+  /// </summary>
   public interface IApplication {
+    /// <summary>
+    /// Gets the name of the application.
+    /// </summary>
     string Name { get; }
+    /// <summary>
+    /// Gets the description of the application.
+    /// </summary>
     string Description { get; }
+    /// <summary>
+    /// Main entry point for the application.
+    /// </summary>
     void Run();
   }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplicationManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplicationManager.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Interfaces/IApplicationManager.cs	(revision 3092)
@@ -51,5 +51,5 @@
     /// Discovers and creates instances of <paramref name="type"/> and all types implementing or inheriting <paramref name="type"/> (directly and indirectly).
     /// </summary>
-    /// <param name="type">The type or super-type to discover.</typeparam>
+    /// <param name="type">The type or super-type to discover.</param>
     /// <returns>An enumerable of instances of the discovered types.</returns>
     IEnumerable<object> GetInstances(Type type);
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Main.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Main.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Main.cs	(revision 3092)
@@ -29,5 +29,12 @@
 
 namespace HeuristicLab.PluginInfrastructure {
+  /// <summary>
+  /// Static class that contains the main entry point of the plugin infrastructure.
+  /// </summary>
   public static class Main {
+    /// <summary>
+    /// Main entry point of the plugin infrastructure. Either loads a starter form or a console dialog.
+    /// </summary>
+    /// <param name="args">Command line arguments</param>
     public static void Run(string[] args) {
       if (args.Length == 0) {  // normal mode
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginFile.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginFile.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginFile.cs	(revision 3092)
@@ -27,4 +27,7 @@
 
 namespace HeuristicLab.PluginInfrastructure.Manager {
+  /// <summary>
+  /// Plugin files have a name and a type.
+  /// </summary>
   [Serializable]
   public sealed class PluginFile : IPluginFile {
@@ -32,4 +35,7 @@
 
     private string name;
+    /// <summary>
+    /// Gets the name of the file.
+    /// </summary>
     public string Name {
       get { return name; }
@@ -37,4 +43,7 @@
 
     private PluginFileType type;
+    /// <summary>
+    /// Gets the type of the file.
+    /// </summary>
     public PluginFileType Type {
       get { return type; }
@@ -43,4 +52,9 @@
     #endregion
 
+    /// <summary>
+    /// Inizialize a new instance of <see cref="PluginFile" />
+    /// </summary>
+    /// <param name="name">File name</param>
+    /// <param name="type">File type</param>
     public PluginFile(string name, PluginFileType type) {
       this.name = name;
@@ -48,4 +62,8 @@
     }
 
+    /// <summary>
+    /// ToString override for <see cref="PluginFile" />
+    /// </summary>
+    /// <returns>Plugin file name</returns>
     public override string ToString() {
       return name;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/PluginState.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/PluginState.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/PluginState.cs	(revision 3092)
@@ -25,7 +25,25 @@
 
 namespace HeuristicLab.PluginInfrastructure {
+  /// <summary>
+  /// Possible states that a plugin can have.
+  /// </summary>
   [Serializable]
   public enum PluginState {
-    Undefined, Enabled, Disabled, Loaded
+    /// <summary>
+    /// Undefined state is the default plugin state.
+    /// </summary>
+    Undefined, 
+    /// <summary>
+    /// Enabled state means that the plugin has correct meta-data and can be loaded.
+    /// </summary>
+    Enabled, 
+    /// <summary>
+    /// Disabled state means that the plugin has incorrect meta-data or missing dependencies and cannot be loaded.
+    /// </summary>
+    Disabled, 
+    /// <summary>
+    /// Loaded means the plugin is currently loaded by an application.
+    /// </summary>
+    Loaded
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3092)
@@ -1,3 +1,4 @@
-﻿//------------------------------------------------------------------------------
+﻿#pragma warning disable 1591
+//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
@@ -91,2 +92,3 @@
     }
 }
+#pragma warning restore 1591
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Starter/StarterForm.cs	(revision 3092)
@@ -36,4 +36,8 @@
 
 namespace HeuristicLab.PluginInfrastructure.Starter {
+  /// <summary>
+  /// The starter form is responsible for initializing the plugin infrastructure
+  /// and shows a list of installed applications.
+  /// </summary>
   public partial class StarterForm : Form {
 
@@ -42,4 +46,8 @@
     private PluginManager pluginManager;
 
+    /// <summary>
+    /// Initializes an instance of the starter form.
+    /// The starter form shows a splashscreen and initializes the plugin infrastructure.
+    /// </summary>
     public StarterForm()
       : base() {
@@ -74,4 +82,8 @@
     }
 
+    /// <summary>
+    /// Creates a new StarterForm and tries to start application with <paramref name="appName"/> immediately.
+    /// </summary>
+    /// <param name="appName">Name of the application</param>
     public StarterForm(string appName)
       : this() {
Index: /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 3091)
+++ /trunk/sources/HeuristicLab.Services.Deployment/3.3/Tests/PluginStoreTest.cs	(revision 3092)
@@ -175,5 +175,5 @@
           Assert.Fail("persist should fail with ArgumentException");
         }
-        catch (ArgumentException e) {
+        catch (ArgumentException) {
           // this is expected
           Assert.IsTrue(true, "expected exception");
@@ -328,5 +328,5 @@
           Assert.Fail("persist should fail with ArgumentException");
         }
-        catch (ArgumentException e) {
+        catch (ArgumentException) {
           // this is expected
           Assert.IsTrue(true, "expected exception");